--- old/usr/src/uts/common/os/watchpoint.c	2015-11-25 13:59:38.649341870 -0500
+++ new/usr/src/uts/common/os/watchpoint.c	2015-11-25 13:59:38.653351191 -0500
@@ -196,7 +196,7 @@
 	 */
 
 	mutex_enter(&p->p_maplock);
-	AS_LOCK_ENTER(as, &as->a_lock, RW_READER);
+	AS_LOCK_ENTER(as, RW_READER);
 
 	tpw.wp_vaddr = (caddr_t)((uintptr_t)addr & (uintptr_t)PAGEMASK);
 	if ((pwp = avl_find(&as->a_wpage, &tpw, &where)) == NULL)
@@ -235,7 +235,7 @@
 				 * Release as lock while in holdwatch()
 				 * in case other threads need to grab it.
 				 */
-				AS_LOCK_EXIT(as, &as->a_lock);
+				AS_LOCK_EXIT(as);
 				mutex_exit(&p->p_maplock);
 				if (holdwatch() != 0) {
 					/*
@@ -246,7 +246,7 @@
 					goto startover;
 				}
 				mutex_enter(&p->p_maplock);
-				AS_LOCK_ENTER(as, &as->a_lock, RW_READER);
+				AS_LOCK_ENTER(as, RW_READER);
 			}
 			p->p_mapcnt++;
 		}
@@ -306,8 +306,8 @@
 			uint_t oprot;
 			int err, retrycnt = 0;
 
-			AS_LOCK_EXIT(as, &as->a_lock);
-			AS_LOCK_ENTER(as, &as->a_lock, RW_WRITER);
+			AS_LOCK_EXIT(as);
+			AS_LOCK_ENTER(as, RW_WRITER);
 		retry:
 			seg = as_segat(as, addr);
 			ASSERT(seg != NULL);
@@ -320,9 +320,9 @@
 					goto retry;
 				}
 			}
-			AS_LOCK_EXIT(as, &as->a_lock);
+			AS_LOCK_EXIT(as);
 		} else
-			AS_LOCK_EXIT(as, &as->a_lock);
+			AS_LOCK_EXIT(as);
 
 		/*
 		 * When all pages are mapped back to their normal state,
@@ -340,10 +340,10 @@
 			}
 		}
 
-		AS_LOCK_ENTER(as, &as->a_lock, RW_READER);
+		AS_LOCK_ENTER(as, RW_READER);
 	}
 
-	AS_LOCK_EXIT(as, &as->a_lock);
+	AS_LOCK_EXIT(as);
 	mutex_exit(&p->p_maplock);
 
 	return (rv);
@@ -394,7 +394,7 @@
 
 	ASSERT(MUTEX_NOT_HELD(&curproc->p_lock));
 
-	AS_LOCK_ENTER(as, &as->a_lock, RW_WRITER);
+	AS_LOCK_ENTER(as, RW_WRITER);
 
 	pwp = p->p_wprot;
 	while (pwp != NULL) {
@@ -431,7 +431,7 @@
 	}
 	p->p_wprot = NULL;
 
-	AS_LOCK_EXIT(as, &as->a_lock);
+	AS_LOCK_EXIT(as);
 }
 
 
@@ -505,9 +505,9 @@
 		return (0);
 
 	/* Grab the lock because of XHAT (see comment in pr_mappage()) */
-	AS_LOCK_ENTER(as, &as->a_lock, RW_READER);
+	AS_LOCK_ENTER(as, RW_READER);
 	rv = pr_is_watchpage_as(addr, rw, as);
-	AS_LOCK_EXIT(as, &as->a_lock);
+	AS_LOCK_EXIT(as);
 
 	return (rv);
 }
